summaryrefslogtreecommitdiffstats
path: root/.config
diff options
context:
space:
mode:
authorJoe <bousset.rudy@gmail.com>2022-04-26 17:25:47 +0200
committerJoe <bousset.rudy@gmail.com>2022-04-26 18:03:28 +0200
commit6b08f33775c7dee40f0cf5afe4cffee7921b4060 (patch)
tree9fe8f5a7bd4a376e9104f1ffca15ec858d165367 /.config
parentquickfix (diff)
downloaddotfiles-bsd-6b08f33775c7dee40f0cf5afe4cffee7921b4060.tar.gz
dotfiles-bsd-6b08f33775c7dee40f0cf5afe4cffee7921b4060.tar.bz2
dotfiles-bsd-6b08f33775c7dee40f0cf5afe4cffee7921b4060.tar.xz
dotfiles-bsd-6b08f33775c7dee40f0cf5afe4cffee7921b4060.tar.zst
dotfiles-bsd-6b08f33775c7dee40f0cf5afe4cffee7921b4060.zip
upgrade to fzf
Diffstat (limited to '.config')
-rw-r--r--.config/zsh/alias.zsh6
1 files changed, 3 insertions, 3 deletions
diff --git a/.config/zsh/alias.zsh b/.config/zsh/alias.zsh
index f194f9a..d4d4a7c 100644
--- a/.config/zsh/alias.zsh
+++ b/.config/zsh/alias.zsh
@@ -107,21 +107,21 @@ econf() {
}
eebin() {
file=$(find "$HOME"/.local/bin -type f | fzf)
+ [ $? -ne 0 ] && return
bsdsetsid emacsclient -c "$file"
kill -9 "$(ps -p $$ -oppid=)"
- exit
}
eeconf() {
file=$(find "$HOME"/.config -type f | fzf)
+ [ $? -ne 0 ] && return
bsdsetsid emacsclient -c "$file"
kill -9 "$(ps -p $$ -oppid=)"
- exit
}
ee() {
file=$(find . -type f | fzf)
+ [ $? -ne 0 ] && return
bsdsetsid emacsclient -c "$file"
kill -9 "$(ps -p $$ -oppid=)"
- exit
}
pa() {
if [ -d $HOME/.local/packs ] && cd $HOME/.local/packs || return 1